Subject: Re: Files that cannot be added to the index

From: Shaun Ruffell <[email-masked]>
Date: Fri, 26 Aug 2011 16:12:33 -0500

On Fri, Aug 26, 2011 at 10:59:19PM +0200, seanh wrote:
> I'm using git version 1.7.4.4 on OSX Lion, from macports. (I was
> having the problem on Snow Leopard too.)

Not sure if this is your problem exactly but awhile back I ran into
something similar to what you describe and tracked it down to the
fact that my filesystem was case insensitive. i.e.

  $ git clone git://github.com/sruffell/dahdi-linux
  Cloning into dahdi-linux...
  done.

  $ cd dahdi-linux/
  $ ls
  LICENSE      Makefile     UPGRADE.txt  drivers
  LICENSE.LGPL README       build_tools  include

  $ git ls-files -m
  $ rm Makefile 
  $ touch makefile
  $ git add makefile 
  $ git ls-files -m
  Makefile

  $ git commit
  # On branch master
  # Changes not staged for commit:
  #   (use "git add <file>..." to update what will be committed)
  #   (use "git checkout -- <file>..." to discard changes in working directory)
  #
  #	modified:   Makefile
  #
  no changes added to commit (use "git add" and/or "git commit -a")

  $ git add makefile 
  $ git commit
  # On branch master
  # Changes not staged for commit:
  #   (use "git add <file>..." to update what will be committed)
  #   (use "git checkout -- <file>..." to discard changes in working directory)
  #
  #	modified:   Makefile
  #
  no changes added to commit (use "git add" and/or "git commit -a")